## gap-polenta 1.3.11

=== debian/changelog ===
gap-polenta (1.3.11-1) unstable; urgency=low

  * Initial Release (Closes: #1110348).
  * This is part of the GAP system.

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Sun, 03 Aug 2025 07:40:15 +0200
