=== debian/control ===
Source: gap-polenta
Section: math
Priority: optional
Maintainer: Joachim Zobel <jz-2017@heute-morgen.de>
Build-Depends: debhelper-compat (= 13), gap (>= 4r7), gap-autodoc, gap-doc,
 gap-polycyclic, gap-alnuth, gap-radiroot,
 texlive-latex-recommended, texlive-latex-extra
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.gap-system.org/Packages/polenta.html

Package: gap-polenta
Provides: gap-pkg-polenta
Depends: ${misc:Depends}, gap-polycyclic, gap-alnuth, gap-radiroot
Recommends: gap
Suggests: gap-aclib
Multi-Arch: foreign
Architecture: all
Description: GAP Polenta - Polycyclic presentations for matrix groups
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 The Polenta package provides methods to compute polycyclic presentations of
 matrix groups (finite or infinite). As a by-product, this package gives some
 functionality to compute certain module series for modules of solvable
 groups. For example, if G is a rational polycyclic matrix group, then we can
 compute the radical series of the natural Q[G]-module Q^d.
