=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2025 Joachim Zobel <jz-2017@heute-morgen.de>

export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
export FORCE_SOURCE_DATE = 1
export LC_ALL = C

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_test:
	echo 'SetPackagePath("Polenta","."); Read("tst/testall.g");' \
	| gap -q -R -A | tee debian/gap.tst
	grep -q "^#I  No errors detected while testing" debian/gap.tst
endif

execute_after_dh_auto_build:
	echo 'SetPackagePath("Polenta","."); PushOptions(rec(relativePath:=true)); Read("makedoc.g");' \
	| gap -q -R -A

override_dh_install:
	dh_install *.g exam lib usr/share/gap/pkg/Polenta
	make -C doc install DESTDIR=../debian/gap-polenta

override_dh_installdocs:
	dh_installdocs README.md

override_dh_installchangelogs:
	dh_installchangelogs  CHANGES

override_dh_clean:
	make -C doc clean
	rm -f debian/gap.tst
	dh_clean

%:
	dh $@

.PHONY: execute_after_dh_auto_test execute_after_dh_auto_build override_dh_install override_dh_clean override_dh_installdocs override_dh_installchangelogs
