=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?([\.\d]+)\.tar\.gz/polenta-$1\.tar\.gz/,\
downloadurlmangle=s/archive\/refs\/tags\/v([\.\d]+)\.tar\.gz/releases\/download\/v$1\/polenta-$1\.tar\.gz/ \
  https://github.com/gap-packages/polenta/tags .*/v?([\.\d]+)\.tar\.gz debian uupdate
